﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CodeFirstTPH.Models
{
    public abstract class Book
    {
        [Key]
        public int BookId { get; set; }

        public BookTypeEnum BookType { get; set; }
        public string Title { get; set; }
        public string ISBN { get; set; }
        public string Author { get; set; }
        public string Summary { get; set; }

        public enum BookTypeEnum : byte
        {
            Fiction,
            NonFiction
        }

        public override string ToString()
        {
            return Title + " By : " + Author;
        }
    }
}
